# $Revision: 1.94 $, $Date: 2011/05/22 17:52:07 $
#
# Conditional build:
%bcond_with	freetds	# with FreeTDS (sybdb) DBD module (unfinished)
%bcond_without	mysql	# without MySQL DBD module
%bcond_without	odbc	# without ODBC DBD module
%bcond_with	oracle	# with Oracle DBD module (BR: proprietary libs)
%bcond_without	pgsql	# without PostgreSQL DBD module
%bcond_with	sqlite2	# with SQLite 2.x DBD module
%bcond_without	sqlite3	# without SQLite3 DBD module
%bcond_without	ldap	# without LDAP module
%bcond_without	tests

# define	dbver	db50
%if 0%{!?dbver:1}
	%if "%{pld_release}" == "th"
		%define	dbver	db47
	%endif
	%if "%{pld_release}" == "ti"
		%define	dbver	db45
	%endif
	%if "%{pld_release}" == "ac"
		%define	dbver	db42
	%endif
%endif

Summary:	A companion library to Apache Portable Runtime
Summary(pl.UTF-8):	Biblioteka towarzysząca Apache Portable Runtime
Name:		apr-util
Version:	1.3.12
Release:	1
Epoch:		1
License:	Apache v2.0
Group:		Libraries
Source0:	http://www.apache.org/dist/apr/%{name}-%{version}.tar.bz2
# Source0-md5:	0f671b037ca62751a8a7005578085560
Patch0:		%{name}-link.patch
Patch1:		%{name}-config-noldap.patch
Patch2:		%{name}-libtool.patch
Patch3:		%{name}-flags.patch
URL:		http://apr.apache.org/
BuildRequires:	apr-devel >= 1:1.3.0
BuildRequires:	autoconf >= 2.59
%if "%{pld_release}" == "th"
BuildRequires:	db-devel >= 4.7
%endif
%if "%{pld_release}" == "ti"
BuildRequires:	db-devel >= 4.5
%endif
%if "%{pld_release}" == "ac"
BuildRequires:	db-devel >= 4.2
BuildConflicts:	db4.5-devel
%endif
BuildRequires:	expat-devel
%{?with_freetds:BuildRequires:	freetds-devel}
BuildRequires:	libtool
%{?with_mysql:BuildRequires:	mysql-devel}
%{?with_ldap:BuildRequires:	openldap-devel >= 2.3.0}
%{?with_pgsql:BuildRequires:	postgresql-devel}
BuildRequires:	rpm >= 4.4.9-56
%{?with_sqlite2:BuildRequires:	sqlite-devel >= 2}
%{?with_sqlite3:BuildRequires:	sqlite3-devel >= 3}
%{?with_odbc:BuildRequires:	unixODBC-devel}
BuildRequires:	which
Requires:	apr >= 1:1.3.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_includedir	/usr/include/apr-util

%description
A companion library to Apache Portable Runtime.

%description -l pl.UTF-8
Biblioteka towarzysząca dla biblioteki Apache Portable Runtime
(przenośnej biblioteki uruchomieniowej).

%package dbm-db
Summary:	DBM driver for DB
Summary(pl.UTF-8):	Sterownik DBM dla DB
Group:		Libraries
Requires:	%{name} = %{epoch}:%{version}-%{release}

%description dbm-db
DBM driver for DB.

%description dbm-db -l pl.UTF-8
Sterownik DBM dla DB.

%package dbd-freetds
Summary:	DBD driver for FreeTDS (Sybase/MS SQL)
Summary(pl.UTF-8):	Sterownik DBD dla FreeTDS (Sybase/MS SQL)
Group:		Libraries
Requires:	%{name} = %{epoch}:%{version}-%{release}

%description dbd-freetds
DBD driver for FreeTDS (Sybase/MS SQL).

%description dbd-freetds -l pl.UTF-8
Sterownik DBD dla FreeTDS (Sybase/MS SQL).

%package dbd-mysql
Summary:	DBD driver for MySQL
Summary(pl.UTF-8):	Sterownik DBD dla MySQL-a
License:	GPL
Group:		Libraries
Requires:	%{name} = %{epoch}:%{version}-%{release}

%description dbd-mysql
DBD driver for MySQL.

%description dbd-mysql -l pl.UTF-8
Sterownik DBD dla MySQL-a.

%package dbd-odbc
Summary:	DBD driver for ODBC
Summary(pl.UTF-8):	Sterownik DBD dla ODBC
License:	GPL
Group:		Libraries
Requires:	%{name} = %{epoch}:%{version}-%{release}

%description dbd-odbc
DBD driver for ODBC.

%description dbd-odbc -l pl.UTF-8
Sterownik DBD dla ODBC.

%package dbd-oracle
Summary:	DBD driver for Oracle
Summary(pl.UTF-8):	Sterownik DBD dla Oracle'a
Group:		Libraries
Requires:	%{name} = %{epoch}:%{version}-%{release}

%description dbd-oracle
DBD driver for Oracle.

%description dbd-oracle -l pl.UTF-8
Sterownik DBD dla Oracle'a.

%package dbd-pgsql
Summary:	DBD driver for PostgreSQL
Summary(pl.UTF-8):	Sterownik DBD dla PostgreSQL-a
Group:		Libraries
Requires:	%{name} = %{epoch}:%{version}-%{release}

%description dbd-pgsql
DBD driver for PostgreSQL.

%description dbd-pgsql -l pl.UTF-8
Sterownik DBD dla PostgreSQL-a.

%package dbd-sqlite2
Summary:	DBD driver for SQLite 2
Summary(pl.UTF-8):	Sterownik DBD dla SQLite 2
Group:		Libraries
Requires:	%{name} = %{epoch}:%{version}-%{release}

%description dbd-sqlite2
DBD driver for SQLite 2.

%description dbd-sqlite2 -l pl.UTF-8
Sterownik DBD dla SQLite 2.

%package dbd-sqlite3
Summary:	DBD driver for SQLite 3
Summary(pl.UTF-8):	Sterownik DBD dla SQLite 3
Group:		Libraries
Requires:	%{name} = %{epoch}:%{version}-%{release}

%description dbd-sqlite3
DBD driver for SQLite 3.

%description dbd-sqlite3 -l pl.UTF-8
Sterownik DBD dla SQLite 3.

%package ldap
Summary:	APR LDAP driver
Summary(pl.UTF-8):	Sterownik APR dla LDAP
Group:		Libraries
Requires:	%{name} = %{epoch}:%{version}-%{release}

%description ldap
APR LDAP driver.

%description ldap -l pl.UTF-8
Sterownik APR dla LDAP.

%package devel
Summary:	Header files and development documentation for apr-util
Summary(pl.UTF-8):	Pliki nagłówkowe i dokumentacja programisty do apr-util
Group:		Development/Libraries
Requires:	%{name} = %{epoch}:%{version}-%{release}
Requires:	apr-devel >= 1:1.3.0
Requires:	expat-devel

%description devel
Header files and development documentation for apr-util.

%description devel -l pl.UTF-8
Pliki nagłówkowe i dokumentacja programisty do apr-util.

%package static
Summary:	Static apr-util library
Summary(pl.UTF-8):	Statyczna biblioteka apr-util
Group:		Development/Libraries
Requires:	%{name}-devel = %{epoch}:%{version}-%{release}

%description static
Static apr-util library.

%description static -l pl.UTF-8
Statyczna biblioteka apr-util.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1

# be sure to link with db version requested
%{__sed} -i -e 's/db4 db\|db5 db//' build/dbm.m4

%{__rm} -r xml/expat

echo '
<Layout PLD>
    prefix:        %{_prefix}
    exec_prefix:   %{_exec_prefix}
    bindir:        %{_bindir}
    sbindir:       %{_sbindir}
    libdir:        %{_libdir}
    libexecdir:    %{_libdir}/apr
    mandir:        %{_mandir}
    sysconfdir:    %{_sysconfdir}
    datadir:       %{_datadir}
    installbuilddir: %{_datadir}/build
    includedir:    %{_includedir}
    localstatedir: %{_localstatedir}
    runtimedir:    %{_localstatedir}/run
    libsuffix:     -${APRUTIL_MAJOR_VERSION}
</Layout>
' > config.layout

%build
./buildconf \
	--with-apr=%{_datadir}/apr

%configure \
	--enable-layout=PLD \
	--with-apr=%{_bindir}/apr-1-config \
	--with-berkeley-db=%{_prefix} \
	--with-dbm=%{dbver} \
	--with-iconv=%{_prefix} \
%if %{with ldap}
	--with-ldap \
	--with-ldap-include=%{_prefix}/include \
	--with-ldap-lib=%{_libdir} \
%endif
	%{!?with_freetds:--without-freetds} \
	%{?with_mysql:--with-mysql=%{_prefix}} \
	%{!?with_odbc:--without-odbc} \
	%{?with_oracle:--with-oracle} \
	%{!?with_pgsql:--without-pgsql} \
	%{!?with_sqlite2:--without-sqlite2} \
	%{!?with_sqlite3:--without-sqlite3}

%{__make} \
	CC="%{__cc}"

%{?with_tests:%{__make} -j1 check}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} $RPM_BUILD_ROOT%{_libdir}/apr-util-1/*.{la,a}

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc CHANGES NOTICE README
%attr(755,root,root) %{_libdir}/libaprutil-1.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libaprutil-1.so.0
%dir %{_libdir}/apr-util-1

%files dbm-db
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/apr-util-1/apr_dbm_db-1.so
%attr(755,root,root) %{_libdir}/apr-util-1/apr_dbm_db.so

%if %{with freetds}
%files dbd-freetds
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/apr-util-1/apr_dbd_freetds-1.so
%attr(755,root,root) %{_libdir}/apr-util-1/apr_dbd_freetds.so
%endif

%if %{with mysql}
%files dbd-mysql
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/apr-util-1/apr_dbd_mysql-1.so
%attr(755,root,root) %{_libdir}/apr-util-1/apr_dbd_mysql.so
%endif

%if %{with odbc}
%files dbd-odbc
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/apr-util-1/apr_dbd_odbc-1.so
%attr(755,root,root) %{_libdir}/apr-util-1/apr_dbd_odbc.so
%endif

%if %{with oracle}
%files dbd-oracle
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/apr-util-1/apr_dbd_oracle-1.so
%attr(755,root,root) %{_libdir}/apr-util-1/apr_dbd_oracle.so
%endif

%if %{with pgsql}
%files dbd-pgsql
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/apr-util-1/apr_dbd_pgsql-1.so
%attr(755,root,root) %{_libdir}/apr-util-1/apr_dbd_pgsql.so
%endif

%if %{with sqlite2}
%files dbd-sqlite2
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/apr-util-1/apr_dbd_sqlite2-1.so
%attr(755,root,root) %{_libdir}/apr-util-1/apr_dbd_sqlite2.so
%endif

%if %{with sqlite3}
%files dbd-sqlite3
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/apr-util-1/apr_dbd_sqlite3-1.so
%attr(755,root,root) %{_libdir}/apr-util-1/apr_dbd_sqlite3.so
%endif

%if %{with ldap}
%files ldap
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/apr-util-1/apr_ldap-1.so
%attr(755,root,root) %{_libdir}/apr-util-1/apr_ldap.so
%endif

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/apu-1-config
%attr(755,root,root) %{_libdir}/libaprutil-1.so
%{_libdir}/libaprutil-1.la
%{_libdir}/aprutil.exp
%{_includedir}
%{_pkgconfigdir}/apr-util-1.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/libaprutil-1.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: apr-util.spec,v $
Revision 1.94  2011/05/22 17:52:07  arekm
- up to 1.3.12

Revision 1.93  2011/05/10 17:47:11  qboosh
- updated to 1.3.11

Revision 1.92  2011/03/31 18:12:19  arekm
- release 3

Revision 1.91  2011/03/26 19:48:37  glen
- ensure we build with exact db version, and it is carried over to apu-1-config as well

Revision 1.90  2011/01/31 08:52:46  arekm
- release 2

Revision 1.89  2010/10/12 07:00:49  arekm
- up to 1.3.10

Revision 1.88  2010/08/12 05:29:45  qboosh
- -devel no longer R: db-devel

Revision 1.87  2010/08/03 08:23:56  arekm
- rel 4; include apr include path in apu-1-config --includes since apr headers are used here

Revision 1.86  2010/05/31 14:11:24  sparky
- space between % and macro name is not a good idea, fixed

Revision 1.85  2010/05/22 19:22:35  sparky
- BR: which

Revision 1.84  2010/05/21 20:07:37  qboosh
- added db patch to allow db4.8 and db5.0; default db version can be changed by dbver rpm macro

Revision 1.83  2010/04/16 13:41:15  arekm
- release 3

Revision 1.82  2009/08/14 07:18:32  arekm
- rel 2; package dbm-db

Revision 1.81  2009/08/09 10:25:24  arekm
- up to 1.3.9; (fixes SECURITY: CVE-2009-2412)

Revision 1.80  2009/07/25 15:16:16  arekm
- up to 1.3.8

Revision 1.79  2009/06/28 16:04:36  arekm
- up to 1.3.7

Revision 1.78  2009/02/26 22:16:28  glen
- release 4

Revision 1.77  2008/08/26 21:57:15  glen
- release 3

Revision 1.76  2008/08/25 14:11:29  glen
- add -libtool.patch for --tag=CC
- ac compatible

Revision 1.75  2008/08/17 18:04:54  qboosh
- updated to 1.3.4
- added config-noldap patch to drop ldap libs from default apu-1-config --libs output
- removed obsolete db47,pg_libs patches

Revision 1.74  2008/08/06 14:26:06  pawelz
- typo

Revision 1.73  2008/08/02 21:19:11  sls
- added pg_libs.patch

Revision 1.72  2008/06/25 07:12:21  adamg
- updated to 1.3.2
- dbd-odbc package

Revision 1.71  2008/06/17 06:16:31  qboosh
- updated to 1.3.0
- added db47 patch, removed obsolete dso,dbd,db45 patches
- DSO are supported by default, including ldap - dropped static modules support
- added -dbd-freetds, -dbd-oracle (both disabled by default)

Revision 1.70  2008/06/06 09:52:49  arekm
- rel 3

Revision 1.69  2008-05-26 20:31:17  hawk
- bah, fixed previous commit

Revision 1.68  2008-05-26 20:29:02  hawk
- use %pld_release macro for Titanium specific changes
- BR: rpm >= 4.4.9-56

Revision 1.67  2007-12-16 13:16:39  qboosh
- updated to 1.2.12
- removed obsolete mysql-link patch and apr_dbd_mysql source (merged upstream)
- BR+R corresponding version of apr (>= 1.2.12)
- ghost symlink

Revision 1.66  2007-11-18 18:26:14  arekm
- rel 4

Revision 1.65  2007-11-03 12:22:12  baggins
- rel 3

Revision 1.64  2007/11/03 02:10:03  baggins
- updated openldap BR/R to 2.4.6

Revision 1.63  2007/10/10 15:22:09  baggins
- rel 2

Revision 1.62  2007/09/11 17:36:35  qboosh
- updated to 1.2.10
- removed obsolete db46 patch

Revision 1.61  2007/08/28 21:36:10  qboosh
- added db46 patch

Revision 1.60  2007/07/26 17:01:33  arekm
- rel 4; rebuild with new db4.6

Revision 1.59  2007/02/12 21:23:47  glen
- tabs in preamble

Revision 1.58  2007/02/12 00:48:38  baggins
- converted to UTF-8

Revision 1.57  2007/01/03 20:14:51  wrobell
- fixed linking with mysql client library
- rel. 3

Revision 1.56  2006/12/26 15:09:24  wrobell
- try to not auto req mysql library, which is modularized
- rel. 2.1

Revision 1.55  2006/12/25 12:56:27  arekm
- rebuild

Revision 1.54  2006/12/07 00:50:23  qboosh
- updated to 1.2.8, update db45 patch, removed obsolete mysql patch

Revision 1.53  2006/10/04 21:27:56  qboosh
- added db45 patch, build with db4.5

Revision 1.52  2006/09/30 22:17:14  arekm
- rebuild with new db4.5

Revision 1.51  2006/09/11 07:30:30  arekm
- rel 4; keep old soname

Revision 1.50  2006/09/11 07:17:01  arekm
- rel 3; build fixed

Revision 1.49  2006/08/25 11:12:58  arekm
- rel 2; reenable berkeley db; db4 as default dbm

Revision 1.48  2006/04/17 01:18:28  qboosh
- updated to 1.2.7

Revision 1.47  2006/04/04 17:17:35  qboosh
- updated to 1.2.6, removed obsolete db4.4 patch

Revision 1.46  2006/03/27 12:41:36  glen
- rel 5 (libmysqlclient_15)

Revision 1.45  2006/01/17 12:32:09  baggins
- release 4
- BR openldap >= 2.3

Revision 1.44  2006/01/13 18:05:54  qboosh
- fixed libaprutil build (in case buildconf puts apr_dbd.lo after apr_dbd_*)
- link libaprutil-1.la just once

Revision 1.43  2006/01/05 08:34:09  qboosh
- release 3

Revision 1.42  2006/01/04 21:01:26  qboosh
- pl for -dbd-*

Revision 1.41  2006/01/02 09:00:09  arekm
- rel 2; DSOs with DBD backends

Revision 1.40  2006/01/02 08:54:22  glen
- remove db libs also from apu-1-config

Revision 1.39  2006/01/02 08:39:59  glen
- fix pkgconfig file, remove unneeded dbd .la files
- kill (now) unneccessary deps on -devel

Revision 1.38  2006/01/01 20:34:56  glen
- subpackages for dbd drivers

Revision 1.37  2006/01/01 13:55:40  glen
- experimental dso for dbd

Revision 1.36  2005/12/22 22:26:56  qboosh
- added db4.4 patch

Revision 1.35  2005/12/21 22:59:11  qboosh
- don't use Source-md5 for file stored in CVS

Revision 1.34  2005/12/21 22:44:04  arekm
- md5 updated

Revision 1.33  2005/12/19 22:37:02  glen
- succeeded to use dbd mysql

Revision 1.32  2005/12/19 18:52:08  glen
- mysql not implemented ;/

Revision 1.31  2005/10/14 08:05:45  qboosh
- updated to 1.2.2

Revision 1.30  2005/10/07 17:16:35  arekm
- rel 2

Revision 1.29  2005/09/19 20:28:14  qboosh
- it builds with postgresql support by default
- added bcond to enable mysql (not tested)

Revision 1.28  2005/09/05 16:34:48  qboosh
- sqlite2 off by default

Revision 1.27  2005/09/04 16:06:31  qboosh
- updated to 1.2.1

Revision 1.26  2005/04/18 22:47:38  qboosh
- updated to 1.1.2, updated link patch

Revision 1.25  2004/11/20 20:49:48  qboosh
- updated to 1.0.1 (fixes CAN-2004-0786, adds support for db4.3)

Revision 1.24  2004/09/30 21:05:36  arekm
- rel 1

Revision 1.23  2004/09/16 20:46:56  qboosh
- removed obsolete 0.9.5 patch, updated -devel,-static deps

Revision 1.22  2004/09/05 08:21:19  pluto
- updated to 1.0.0.
- release 0.1.

Revision 1.21  2004/07/04 11:21:43  arekm
- rel6; apache 2.0.50 update

Revision 1.20  2004/04/18 21:24:18  qboosh
- rediffed 0.9.5 patch w/o autogenerated files, updated link patch
- updated License (Apache v2.0 since 0.9.5)

Revision 1.19  2004/04/16 19:06:50  arekm
- updated to version from apache 2.0.49; -link patch needs update

Revision 1.18  2004/04/02 08:59:13  averne
- rel 4 for rebuild with new openldap

Revision 1.17  2004/03/16 13:38:11  averne
- rel3 for rebuild with new openldap

Revision 1.16  2004/01/19 22:21:32  ankry
- rel. 2

Revision 1.15  2004/01/05 19:44:36  qboosh
- -devel R: db-devel,expat-devel

Revision 1.14  2003/12/22 17:18:49  wolf
- move requirements to the right place

Revision 1.13  2003/12/01 22:25:37  mmazur
- rel 0.4 to rebuild with new db

Revision 1.12  2003/11/29 14:20:45  arekm
- fix build with LDAP; rel 0.3

Revision 1.11  2003/11/27 00:40:29  arekm
- rel 2

Revision 1.10  2003/11/15 11:35:44  arekm
- sync with apache version (no internal changes beside ver number)

Revision 1.9  2003/11/14 10:17:33  qboosh
- even Requires for separate apr/apr-devel

Revision 1.8  2003/11/14 10:13:03  qboosh
- Conflicts with apr from apache (which contained apr-util); release 2

Revision 1.7  2003/10/28 08:48:10  trojan
- updated to official 0.9.4

Revision 1.6  2003/10/05 22:28:17  qboosh
- added link patch to link with used libs
- -devel R: apr-devel
- pl descriptions

Revision 1.5  2003/09/17 10:44:37  trojan
- added without ldap bcond

Revision 1.4  2003/09/13 15:14:16  arekm
- builds now even when there is bo BUILD/apr directory

Revision 1.3  2003/09/13 13:12:21  arekm
- update to 0.9.4 snapshots

Revision 1.2  2003/09/13 12:31:05  arekm
- specify full paths to get apu-config --ldflags working properly

Revision 1.1  2003/09/13 12:03:04  arekm
- initial pld release
